/*
	Theme Name: KNOLLE-DESIGN-Theme
	Theme URI: https://knolle.biz/
	Description: Willkommen zum Knolle-Theme – die perfekte Grundlage für dein Webprojekt! Entwickelt und bereitgestellt von Jens Knolle, bietet dieses Theme eine Auswahl an durchdachten Features, die deine Arbeit mit Wordpress noch effizienter und kreativer machen.
	Author: Jens Knolle
	Author URI: https://knolle.biz/
	Template: Divi
	Version: 1.0.0
	Tag: Child Theme, Knolle Biz 
	License: GNU General Public License v2 or later
	License URI: http://www.gnu.org/licenses/gpl-2.0.html
*/


/* PASTA MANIA  */




/* ==========================================================================
   ROOT SECTION
   ========================================================================== */

* {
    margin:0;
    padding:0;
    box-sizing: border-box;
}

html {
    font-size: 62.5%;
}

:root {
    --kdac: #000;

    --c3: #e20000; /* Rot */
    --c4: #008421; /* Grün */
    --c5: #422713; /* Dunkelbraun */
    --c6: #16172f; /* Dunkelblau */
    --c7: #b2bbde; /* Hellblau */
    --c8: #f1f1f1; /* lightgrey */
}


/* ==========================================================================
   MENU SECTION
   ========================================================================== */

/* Schriftgröße Menü anpassen */
    @media(min-width:980px) and (max-width:1280px){
        #top-menu li {
            padding-right: 14px;
        }

        ul#top-menu li a {
            font-size: 14px;
        }
    }
/* END Schriftgröße Menü anpassen */



/* Avoid jumping Menu */
/*
    @media only screen and ( min-width: 981px ){
    body.admin-bar.et_fixed_nav.et_secondary_nav_enabled #main-header {
        top: 120px !important;
    }
    }
*/    
/* END Avoid jumping */



/* Telefonnummer im TOP-Header näher an Text davor */
    @media only screen and (max-width: 768px) {
        #db-info-text {
            margin-right:0 !important;
        }

        #et-info { float:right !important; 
        }
    }
/* END Telefonnummer näher an Text davor */



/* Hochgestellt */
    sup {
        font-size:10px !important;
    }
/* END Hochgestellt */


/*  FOOTER KEIN HAMBURGER MENU */
    .et-l.et-l--footer .et_pb_menu__menu {
        display: block !important;
    }
    .et-l.et-l--footer .et_mobile_nav_menu {
        display: none !important;
    }
/* END FOOTER KEIN HAMBURGER MENU */









/* ==========================================================================
   CONTENT SECTION
   ========================================================================== */



/*  Dynamische Fontgrößen  */

    .dynhead .header-content h1, .dynhead .et_pb_column .et_pb_module h1, .dynhead h1 {
        font-size: clamp(2.6rem, 5vw, 6.4rem) !important;
        line-height: clamp(4rem, 5vw, 5rem);
    }

    .dynhead .header-content h2, .dynhead .et_pb_column .et_pb_module h2, .dynhead h2 {
        font-size: clamp(2.4rem, 5vw, 4.2rem) !important;
        line-height: clamp(4rem, 5vw, 5rem);
    }

    .dynhead .header-content h3, .dynhead .et_pb_column .et_pb_module h3, .dynhead h3 {
        font-size: clamp(2.2rem, 5vw, 3.6rem) !important;
        line-height: clamp(4rem, 5vw, 5rem);
    }

    .dynhead .header-content h4, .dynhead .et_pb_column .et_pb_module h4, .dynhead h4 {
        font-size: clamp(2rem, 5vw, 3.2rem) !important;
        line-height: clamp(4rem, 5vw, 5rem);
    }

    .dynhead .header-content h5, .dynhead .et_pb_column .et_pb_module h5, .dynhead h5 {
        font-size: clamp(1.8rem, 5vw, 2.4rem) !important;
        line-height: clamp(4rem, 5vw, 5rem);
        font-weight:700;
    }

    .dynhead .header-content h6, .dynhead .et_pb_column .et_pb_module h6, .dynhead h6 {
        font-size: clamp(1.6rem, 5vw, 2.0rem) !important;
        line-height: clamp(4rem, 5vw, 5rem);
    }


    .h1_substitute {
        font-size: clamp(2.6rem, 5vw, 6.4rem) !important;
        line-height: clamp(4rem, 5vw, 5rem);
    }


    .et_pb_module.et_pb_text p {
        font-size: clamp(1.8rem, 5vw, 2rem) !important;
        line-height: clamp(2rem,10vw,2.8rem);
    }

/* END Dynamische Fontgrößen  */



/* autom. Silbentrennung aktivieren */
body {
    -ms-hyphens: auto;
    -webkit-hyphens: auto;
    hyphens: auto;
}

.nohyphens {
    -moz-hyphens: none;
    -ms-hyphens: none;
    -webkit-hyphens: none;
    hyphens: none;
}

.nohyphens.et_pb_module {
    word-wrap: normal!important;
    overflow: visible!important;
}
/* END autom. Silbentrennung aktivieren */


/*Underline Links*/
    p a:hover {
        text-decoration:underline !important;
    }
/*END Underline Links*/



/*White Links*/
    .whitelinks a {
        color:#ffffff;
    }

    .blacklinks a {
        color:#000;
    }
/*END White Links*/



/* Dateinamen unter Gallerybild entfernen */
    .mfp-title {
        display:none !important;
    }
/* END Dateinamen unter Gallerybild entfernen */



/* 3 Bilder nebeneinander on mobile */
    @media only screen and (max-width: 980px) {
        .three-columns .et_pb_column {
        width: 33.33%!important;
    }
    }
/* END */


/* Layout für DiviMachine-Ausgabe TV */
.maniaflex .et_pb_row {
    width:100% !important;  
}

.maniaflex .et_pb_column {
    display:flex;
    flex-direction:row;
    align-items:baseline;
    column-gap:10px;
}

.maniapush {
    margin-left:auto !important;
}
/* END Layout für DiviMachine-Ausgabe TV */


/* Layout für DiviMachine-Ausgabe Webseite */
.maniaflexwrap .et_pb_row {
    width:100% !important;  
}

.maniaflexwrap .et_pb_column {
    display:flex;
    flex-direction:row;
    align-items:baseline;
    column-gap:10px;
    flex-wrap:wrap;
}


.maniaflexwrap .et_pb_column .et_pb_module:first-of-type {
    flex-basis:100%;
}


.maniaflexwrap .maniapreis {
    text-align:right;
}

/* END Layout für DiviMachine-Ausgabe */




.grid-posts .grid-col h3 {
    font-weight: 700 !important;
    font-size: clamp(24px,5vw,42px) !important;
}


.grid-posts .grid-col p {
    font-size: 23px !important;
}


.maniamanuell h3 {
    font-weight:700 !important;
    font-size: 42px !important;
}


/* Jede zweite Pastasauce farbig */
.grid-posts .grid-col:nth-child(2n+1) .maniabicolor, 
.grid-posts .grid-col:nth-child(2n+1) .maniabicolor h3 {
  color: var(--c3) !important;
}

.grid-posts .grid-col:nth-child(2n) .maniabicolor, 
.grid-posts .grid-col:nth-child(2n) .maniabicolor h3 {
  color: var(--c4) !important;
}
/* END Jede zweite Pastasauce farbig */



/* Jede zweite Pastasauce farbig */
.grid-posts .grid-col:nth-child(4n+3) .saucebicolor, 
.grid-posts .grid-col:nth-child(4n+3) .saucebicolor h3, 
.grid-posts .grid-col:nth-child(4n+4) .saucebicolor,
.grid-posts .grid-col:nth-child(4n+4) .saucebicolor h3{
  color: var(--c3) !important;
}


.grid-posts .grid-col:nth-child(4n+1) .saucebicolor, 
.grid-posts .grid-col:nth-child(4n+1) .saucebicolor h3, 
.grid-posts .grid-col:nth-child(4n+2) .saucebicolor,
.grid-posts .grid-col:nth-child(4n+2) .saucebicolor h3{
  color: var(--c4) !important;
}
/* END Jede zweite Pastasauce farbig */









/* ==========================================================================
   KUDO SECTION
   ========================================================================== */


   .kd-heart::after {
        content: "\e089";
        font-family: 'ETmodules';
        color: var(--kdac);
    }


/* END OF ALL */
